package com.persagy.apm.report.config.rel.detailstatisticsitem.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.report.config.rel.detailstatisticsitem.model.ReportDetailStatisticsItemRel;
import com.persagy.apm.report.config.rel.detailstatisticsitem.model.dto.AddReportDetailStatisticsItemRelDTO;
import com.persagy.apm.report.config.rel.detailstatisticsitem.model.dto.PageQueryReportDetailStatisticsItemRelDTO;
import com.persagy.apm.report.config.rel.detailstatisticsitem.model.dto.QueryReportDetailStatisticsItemRelDTO;
import com.persagy.apm.report.config.rel.detailstatisticsitem.model.dto.UpdateReportDetailStatisticsItemRelDTO;

import java.util.List;

/**
 * 报告详情与统计条目的关联(ReportDetailStatisticsItemRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:19:39
 */
public interface IReportDetailStatisticsItemRelService {

    /**
     * 创建报告详情与统计条目的关联
     *
     * @param addReportDetailStatisticsItemRelDTO addDTO
     * @return 报告详情与统计条目的关联主键
     * @author lixing
     * @version V1.0 2021-05-20 19:19:39
     */
    String createReportDetailStatisticsItemRel(AddReportDetailStatisticsItemRelDTO addReportDetailStatisticsItemRelDTO);

    /**
     * 报告详情与统计条目的关联详情
     *
     * @param id 主键
     * @return 报告详情与统计条目的关联do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:19:39
     */
    ReportDetailStatisticsItemRel queryReportDetailStatisticsItemRelDetail(String id);

    /**
     * 更新报告详情与统计条目的关联
     *
     * @param updateReportDetailStatisticsItemRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-20 19:19:39
     */
    void updateReportDetailStatisticsItemRel(UpdateReportDetailStatisticsItemRelDTO updateReportDetailStatisticsItemRelDTO);

    /**
     * 删除报告详情与统计条目的关联
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-20 19:19:39
     */
    void deleteReportDetailStatisticsItemRel(String id);

    /**
     * 查询报告详情与统计条目的关联
     *
     * @param queryReportDetailStatisticsItemRelDTO queryDTO
     * @return List<ReportDetailStatisticsItemRel>
     * @author lixing
     * @version V1.0 2021-05-20 19:19:39
     */
    List<ReportDetailStatisticsItemRel> queryReportDetailStatisticsItemRelList(QueryReportDetailStatisticsItemRelDTO queryReportDetailStatisticsItemRelDTO);

    /**
     * 分页查询报告详情与统计条目的关联
     *
     * @param pageQueryReportDetailStatisticsItemRelDTO pageQueryDTO
     * @return IPage<ReportDetailStatisticsItemRel>
     * @author lixing
     * @version V1.0 2021-05-20 19:19:39
     */
    IPage<ReportDetailStatisticsItemRel> pageQueryReportDetailStatisticsItemRel(PageQueryReportDetailStatisticsItemRelDTO pageQueryReportDetailStatisticsItemRelDTO);
}
