package com.persagy.apm.report.config.rel.typefunctiongroup.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.report.config.rel.typefunctiongroup.model.ReportTypeFunctionGroupRel;
import com.persagy.apm.report.config.rel.typefunctiongroup.model.dto.AddReportTypeFunctionGroupRelDTO;
import com.persagy.apm.report.config.rel.typefunctiongroup.model.dto.PageQueryReportTypeFunctionGroupRelDTO;
import com.persagy.apm.report.config.rel.typefunctiongroup.model.dto.QueryReportTypeFunctionGroupRelDTO;
import com.persagy.apm.report.config.rel.typefunctiongroup.model.dto.UpdateReportTypeFunctionGroupRelDTO;

import java.util.List;

/**
 * 报告类型(ReportTypeFunctionGroupRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-24 16:02:14
 */
public interface IReportTypeFunctionGroupRelService {

    /**
     * 创建报告类型
     *
     * @param addReportTypeFunctionGroupRelDTO addDTO
     * @return 报告类型主键
     * @author lixing
     * @version V1.0 2021-05-24 16:02:14
     */
    String createReportTypeFunctionGroupRel(AddReportTypeFunctionGroupRelDTO addReportTypeFunctionGroupRelDTO);

    /**
     * 报告类型详情
     *
     * @param id 主键
     * @return 报告类型do对象
     * @author lixing
     * @version V1.0 2021-05-24 16:02:14
     */
    ReportTypeFunctionGroupRel queryReportTypeFunctionGroupRelDetail(String id);

    /**
     * 更新报告类型
     *
     * @param updateReportTypeFunctionGroupRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-24 16:02:14
     */
    void updateReportTypeFunctionGroupRel(UpdateReportTypeFunctionGroupRelDTO updateReportTypeFunctionGroupRelDTO);

    /**
     * 删除报告类型
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-24 16:02:14
     */
    void deleteReportTypeFunctionGroupRel(String id);

    /**
     * 查询报告类型
     *
     * @param queryReportTypeFunctionGroupRelDTO queryDTO
     * @return List<ReportTypeFunctionGroupRel>
     * @author lixing
     * @version V1.0 2021-05-24 16:02:14
     */
    List<ReportTypeFunctionGroupRel> queryReportTypeFunctionGroupRelList(QueryReportTypeFunctionGroupRelDTO queryReportTypeFunctionGroupRelDTO);

    /**
     * 分页查询报告类型
     *
     * @param pageQueryReportTypeFunctionGroupRelDTO pageQueryDTO
     * @return IPage<ReportTypeFunctionGroupRel>
     * @author lixing
     * @version V1.0 2021-05-24 16:02:14
     */
    IPage<ReportTypeFunctionGroupRel> pageQueryReportTypeFunctionGroupRel(PageQueryReportTypeFunctionGroupRelDTO pageQueryReportTypeFunctionGroupRelDTO);
}
