package com.persagy.apm.report.config.statisticsitems.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.report.config.statisticsitems.model.StatisticItems;
import com.persagy.apm.report.config.statisticsitems.model.dto.AddStatisticItemsDTO;
import com.persagy.apm.report.config.statisticsitems.model.dto.PageQueryStatisticItemsDTO;
import com.persagy.apm.report.config.statisticsitems.model.dto.QueryStatisticItemsDTO;
import com.persagy.apm.report.config.statisticsitems.model.dto.UpdateStatisticItemsDTO;

import java.util.List;

/**
 * 统计条目(StatisticItems) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:21:08
 */
public interface IStatisticItemsService {

    /**
     * 创建统计条目
     *
     * @param addStatisticItemsDTO addDTO
     * @return 统计条目主键
     * @author lixing
     * @version V1.0 2021-05-20 19:21:08
     */
    String createStatisticItems(AddStatisticItemsDTO addStatisticItemsDTO);

    /**
     * 统计条目详情
     *
     * @param id 主键
     * @return 统计条目do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:21:08
     */
    StatisticItems queryStatisticItemsDetail(String id);

    /**
     * 更新统计条目
     *
     * @param updateStatisticItemsDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-20 19:21:08
     */
    void updateStatisticItems(UpdateStatisticItemsDTO updateStatisticItemsDTO);

    /**
     * 删除统计条目
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-20 19:21:08
     */
    void deleteStatisticItems(String id);

    /**
     * 查询统计条目
     *
     * @param queryStatisticItemsDTO queryDTO
     * @return List<StatisticItems>
     * @author lixing
     * @version V1.0 2021-05-20 19:21:08
     */
    List<StatisticItems> queryStatisticItemsList(QueryStatisticItemsDTO queryStatisticItemsDTO);

    /**
     * 分页查询统计条目
     *
     * @param pageQueryStatisticItemsDTO pageQueryDTO
     * @return IPage<StatisticItems>
     * @author lixing
     * @version V1.0 2021-05-20 19:21:08
     */
    IPage<StatisticItems> pageQueryStatisticItems(PageQueryStatisticItemsDTO pageQueryStatisticItemsDTO);
}
