package com.persagy.apm.report.dependencies.workorder.client;

import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.report.dependencies.common.FeignClientNameConstants;
import com.persagy.apm.report.dependencies.common.FeignConfig;
import com.persagy.apm.report.dependencies.workorder.model.dto.QueryWorkOrderListByParamDTO;
import com.persagy.apm.report.dependencies.workorder.client.fallback.WorkOrderWebClientFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 工单管理feign客户端
 **/
@FeignClient(name = FeignClientNameConstants.WORK_ORDER, fallbackFactory = WorkOrderWebClientFallbackFactory.class,
        configuration = FeignConfig.class)
public interface WorkOrderWebClient {
    /**
     * 根据条件查询工单列表
     *
     * @param queryWorkOrderListByParamDTO 查询条件
     * @return 工单列表信息
     * @author wch
     * @version V1.0 2021/5/19 2:27 下午
     */
    @PostMapping("/restWorkOrderService/queryWorkOrderList")
    PoemsFeignResponse<Object> listWorkOrderByParam(QueryWorkOrderListByParamDTO queryWorkOrderListByParamDTO);

}
