package com.persagy.apm.report.detail.business.service.impl;

import com.persagy.apm.report.detail.business.service.IBusinessReportCostInfoService;
import com.persagy.apm.report.detail.common.model.vo.CostVO;
import com.persagy.apm.report.detail.common.service.impl.ReportCostInfoServiceImpl;
import com.persagy.apm.report.outline.model.ReportOutline;
import com.persagy.apm.report.outline.service.IReportOutlineService;
import com.persagy.apm.report.dependencies.saasweb.service.ISaasWebService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 商业类报告费用service类
 *
 * @author lixing
 * @version V1.0 2021/5/30 7:30 下午
 **/
@Service
public class BusinessReportCostInfoServiceImpl extends ReportCostInfoServiceImpl
        implements IBusinessReportCostInfoService {
    @Autowired
    private ISaasWebService saasWebService;
    @Autowired
    private IReportOutlineService reportOutlineService;

    @Override
    public CostVO getOpenCost(ReportOutline reportOutline, List<String> groupIdList, List<String> functionIdList) {

        Date reportMonth = reportOutline.getReportMonth();

        List<String> projectIds = reportOutlineService.queryRelatedProjectIds(reportOutline);

        return getCostInfoByProjectIds(groupIdList, functionIdList, reportMonth, projectIds);
    }

    @Override
    public CostVO getCompareCost(ReportOutline reportOutline, List<String> groupIdList, List<String> functionIdList) {

        Date reportMonth = reportOutline.getReportMonth();

        List<String> projectIds = reportOutlineService.queryRelatedProjectIds(reportOutline);

        List<String> comparableProjects = saasWebService.getComparableProjects(projectIds, reportMonth);

        return getCostInfoByProjectIds(groupIdList, functionIdList, reportMonth, comparableProjects);
    }

    @Override
    public Double getProjectBuildingArea(List<String> projectIds) {
        return saasWebService.getTotalCommercialArea(projectIds);
    }
}
