package com.persagy.apm.report.detail.common.service;

import java.util.List;

/**
 * 报告详情 service接口
 *
 * @author lixing
 * @version V1.0 2021-05-17 11:08:34
 */
public interface IReportDetailService {

    /**
     * 根据段落获取报告类型关联的分组
     *
     * @param reportTypeId    报告类型
     * @param belongParagraph 报告段落
     * @return 报告段落包含的分组id列表
     * @author lixing
     * @version V1.0 2021/5/24 4:31 下午
     */
    List<String> getGroupsByParagraph(String reportTypeId, String belongParagraph);

    /**
     * 根据段落获取报告类型关联的信息点
     *
     * @param reportTypeId    报告类型
     * @param belongParagraph 报告段落
     * @return 报告段落包含的信息点id列表
     * @author lixing
     * @version V1.0 2021/5/24 4:31 下午
     */
    List<String> getFunctionsByParagraph(String reportTypeId, String belongParagraph);

}
