package com.persagy.apm.report.detail.hotel.area.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.report.detail.hotel.area.model.ReportHotelAreaDetail;
import com.persagy.apm.report.detail.hotel.area.model.dto.AddReportHotelAreaDetailDTO;
import com.persagy.apm.report.detail.hotel.area.model.dto.PageQueryReportHotelAreaDetailDTO;
import com.persagy.apm.report.detail.hotel.area.model.dto.QueryReportHotelAreaDetailDTO;
import com.persagy.apm.report.detail.hotel.area.model.dto.UpdateReportHotelAreaDetailDTO;
import com.persagy.apm.report.detail.hotel.area.model.vo.ResponseReportHotelAreaDetailItemVO;

import java.util.List;

/**
 * 商业报告详情(ReportHotelAreaDetail) service接口
 *
 * @author lixing
 * @version V1.0 2021-06-07 09:42:05
 */
public interface IReportHotelAreaDetailService {

    /**
     * 创建商业报告详情
     *
     * @param addReportHotelAreaDetailDTO addDTO
     * @return 商业报告详情主键
     * @author lixing
     * @version V1.0 2021-06-07 09:42:05
     */
    String createReportHotelAreaDetail(AddReportHotelAreaDetailDTO addReportHotelAreaDetailDTO);

    /**
     * 商业报告详情详情
     *
     * @param id 主键
     * @return 商业报告详情do对象
     * @author lixing
     * @version V1.0 2021-06-07 09:42:05
     */
    ReportHotelAreaDetail getReportHotelAreaDetail(String id);

    /**
     * 更新商业报告详情
     *
     * @param updateReportHotelAreaDetailDTO updateDTO
     * @author lixing
     * @version V1.0 2021-06-07 09:42:05
     */
    void updateReportHotelAreaDetail(UpdateReportHotelAreaDetailDTO updateReportHotelAreaDetailDTO);

    /**
     * 删除商业报告详情
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-06-07 09:42:05
     */
    void deleteReportHotelAreaDetail(String id);

    /**
     * 查询商业报告详情
     *
     * @param queryReportHotelAreaDetailDTO queryDTO
     * @return List<ReportHotelAreaDetail>
     * @author lixing
     * @version V1.0 2021-06-07 09:42:05
     */
    List<ReportHotelAreaDetail> queryReportHotelAreaDetailList(QueryReportHotelAreaDetailDTO queryReportHotelAreaDetailDTO);

    /**
     * 分页查询商业报告详情
     *
     * @param pageQueryReportHotelAreaDetailDTO pageQueryDTO
     * @return IPage<ReportHotelAreaDetail>
     * @author lixing
     * @version V1.0 2021-06-07 09:42:05
     */
    IPage<ReportHotelAreaDetail> pageQueryReportHotelAreaDetail(PageQueryReportHotelAreaDetailDTO pageQueryReportHotelAreaDetailDTO);

    /**
     * 获取酒店区域报告详情
     *
     * @param reportOutlineId 报告概要id
     * @return 酒店区域报告详情
     * @author lixing
     * @version V1.0 2021/6/7 11:45 上午
     */
    ResponseReportHotelAreaDetailItemVO getReportHotelAreaDetailByReportOutline(String reportOutlineId);
}
