package com.persagy.apm.report.detail.hotel.project.controller;

import com.persagy.apm.common.response.ApmResponseUpsertVO;
import com.persagy.apm.common.response.CommonResult;
import com.persagy.apm.common.utils.ResultHelper;
import com.persagy.apm.report.detail.hotel.project.model.dto.UpdateReportHotelProjectDetailDTO;
import com.persagy.apm.report.detail.hotel.project.service.IReportHotelProjectDetailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.Valid;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:56
 */
@ApiIgnore
@Api(tags = "酒店项目报告详情")
@Validated
@RestController
@RequestMapping("reportHotelProjectDetails")
public class ReportHotelProjectDetailController {
    @Autowired
    private IReportHotelProjectDetailService reportHotelProjectDetailService;

    @ApiOperation(value = "更新商业报告详情")
    @PostMapping("/update")
    public CommonResult<ApmResponseUpsertVO> updateReportHotelProjectDetail(
            @Valid @RequestBody UpdateReportHotelProjectDetailDTO updateReportHotelProjectDetailDTO) {
        reportHotelProjectDetailService.updateReportHotelProjectDetail(updateReportHotelProjectDetailDTO);
        return ResultHelper.single(new ApmResponseUpsertVO(updateReportHotelProjectDetailDTO.getReportOutlineId()));
    }
}

