package com.persagy.apm.report.outline.service.builder.common.impl;

import com.persagy.apm.report.detail.common.service.IReportDetailService;
import com.persagy.apm.report.outline.model.ReportOutline;
import com.persagy.apm.report.outline.service.builder.common.IReportBuilder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 商业项目报告建造者
 *
 * @author lixing
 * @version V1.0 2021/5/12 2:53 下午
 **/
@Component
@Slf4j
public class ReportBuilder implements IReportBuilder {
    @Autowired
    private IReportDetailService reportDetailService;

    @Override
    public boolean generateNewReportDetail(ReportOutline reportOutline) {
        // 在具体的子类中覆写实现
        return true;
    }

    @Override
    public List<String> getGroupsByParagraph(String reportTypeId, String paragraph) {
        return reportDetailService.getGroupsByParagraph(reportTypeId, paragraph);
    }

    @Override
    public List<String> getFunctionsByParagraph(String reportTypeId, String paragraph) {
        return reportDetailService.getFunctionsByParagraph(reportTypeId, paragraph);
    }
}
